summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Husmann2015-06-09 00:59:19 +0200
committerStefan Husmann2015-06-09 00:59:19 +0200
commit935abfe09be19ecd817ba09476c4c4daf564ed4e (patch)
tree4e8564eafb840da92e4a28559a3a93be25b79965
downloadaur-935abfe09be19ecd817ba09476c4c4daf564ed4e.tar.gz
initial version
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD33
-rw-r--r--tramp.install26
3 files changed, 74 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..dbcd162327b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = tramp
+ pkgdesc = emacs extension that provides transparent remote file editing
+ pkgver = 2.2.11
+ pkgrel = 1
+ url = http://www.gnu.org/software/tramp/
+ install = tramp.install
+ arch = any
+ license = GPL
+ makedepends = emacs
+ makedepends = texinfo
+ source = ftp://ftp.gnu.org/gnu/tramp/tramp-2.2.11.tar.gz
+ md5sums = 1b18e19857a2677affde1c42359f4c53
+
+pkgname = tramp
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c1d478436d5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Contributor: Patrick Palka <patrick@parcs.ath.cx>
+# Contributor: Fabio Pozzim <fabio.pozzi at anche dot no >
+# Contributor: Nathan Owe <ndowens04 at gmail>
+# Maintainer: Stefan Husmann <stefan-husmann@t-online.de>
+
+pkgname=tramp
+pkgver=2.2.11
+pkgrel=1
+pkgdesc="emacs extension that provides transparent remote file editing"
+arch=('any')
+url=http://www.gnu.org/software/tramp/
+license=('GPL')
+makedepends=('emacs' 'texinfo')
+# add texlive-core to the makedepends and comment in the last two lines
+# of this PKGBUILD if you want the documentation in dvi-format
+source=("ftp://ftp.gnu.org/gnu/tramp/$pkgname-$pkgver.tar.gz")
+install=tramp.install
+md5sums=('1b18e19857a2677affde1c42359f4c53')
+
+build() {
+ cd "$pkgname-$pkgver"
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+ mv $pkgdir/usr/share/info/$pkgname $pkgdir/usr/share/info/$pkgname-new
+# install -Dm644 texi/$pkgname.dvi \
+# $pkgdir/usr/share/doc/$pkgname/$pkgname.dvi
+}
+
diff --git a/tramp.install b/tramp.install
new file mode 100644
index 00000000000..5359506a0e3
--- /dev/null
+++ b/tramp.install
@@ -0,0 +1,26 @@
+infodir=usr/share/info
+
+pre_install() {
+ [[ -x info-dir/tramp.gz ]] || mv $infodir/tramp.gz $infodir/tramp.orig.gz
+}
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ mv $infodir/tramp-new.gz $infodir/tramp.gz
+ install-info "$infodir/tramp.gz" "$infodir/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info "$infodir/tramp.gz" "$infodir/dir" 2> /dev/null
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info --delete "$infodir/tramp.gz" "$infodir/dir" 2> /dev/null
+ mv $infodir/tramp.orig.gz $infodir/tramp.gz
+}
+
+post_remove() {
+ install-info "$infodir/tramp.gz" "$infodir/dir" 2> /dev/null
+} \ No newline at end of file